Point de terminaison de l'API:
https://studiostats.ovh/api/v1/websites
Exemple de demande:
curl --location --request GET 'https://studiostats.ovh/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_bydomain pour :nom. Par défaut : domain.favoritesort_byid pour :nom, domain pour :nom. Par défaut : id.sortdesc pour :nom, asc pour :nom. Par défaut : desc.per_page10, 25, 50, 100. Par défaut : 50.Point de terminaison de l'API:
https://studiostats.ovh/api/v1/websites/{id}
Exemple de demande:
curl --location --request GET 'https://studiostats.ovh/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Point de terminaison de l'API:
https://studiostats.ovh/api/v1/websites
Exemple de demande:
curl --location --request POST 'https://studiostats.ovh/api/v1/websites' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'domain={domain}'
domainprivacy0 pour :nom, 1 pour :nom, 2 pour :nom. Par défaut : 0.passwordprivacy est réglé sur 2.email0 pour :nom, 1 pour :nom. Par défaut : 0.exclude_bots0 pour :nom, 1 pour :nom. Par défaut : 1.exclude_paramsexclude_ipsPoint de terminaison de l'API:
https://studiostats.ovh/api/v1/websites/{id}
Exemple de demande:
curl --location --request PUT 'https://studiostats.ovh/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
privacy0 pour :nom, 1 pour :nom, 2 pour :nom.passwordprivacy est réglé sur 2.email0 pour :nom, 1 pour :nom.exclude_bots0 pour :nom, 1 pour :nom.exclude_paramsexclude_ipsfavoritePoint de terminaison de l'API:
https://studiostats.ovh/api/v1/websites/{id}
Exemple de demande:
curl --location --request DELETE 'https://studiostats.ovh/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'